{% extends "base.html" %}
{% set active_page = "latest" %}
{% block content %}
    <div>
        <h1>Latest Data View</h1>
    </div>
    <div>
        {% for collector_name, latest_data in latest_data_points.items() %}
            <h3>{{ collector_name }}</h3>
            <table class="table table-striped table-class" id="latest-table">
                <thead>
                    <tr>
                        <th>Data group</th>
                        <th>Variable name</th>
                        <th>Timestamp</th>
                        <th>Value [unit]</th>
                    </tr>
                </thead>
                <tbody>
                    {% for data_group, latest_data_group in latest_data.items() %}
                        {% for latest_data_entry in latest_data_group %}
                            {% include 'latest_data/latest_data_overview_row.html' %}
                        {% endfor %}
                    {% endfor %}
                </tbody>
            </table>
        {% endfor %}
    </div>
    <script>
    // Setup click handler for tbody rows
        $(function () {
            $('#latest-table tbody tr').click(function () {
                window.location.href = $(this).data('url');
            });
        })
    </script>
{% endblock %}